org.eclnt.workplace

## Class WorkpageDispatcher

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<java.lang.String,java.lang.Object>
    - - org.eclnt.jsfserver.managedbean.DefaultDispatcher
      - - org.eclnt.workplace.WorkpageDispatcher

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, Statusbar.IStatusBarDrillDownInfoProvider, IDispatcher, IWorkpageDispatcher
  Direct Known Subclasses:
    CCTDDispatcher

      public abstract class WorkpageDispatcher
      extends DefaultDispatcher
      implements IWorkpageDispatcher, Statusbar.IStatusBarDrillDownInfoProvider, java.io.Serializable

  Dispatcher extension that is taylored for workplace scenarios. The dispatcher is connected to an instance of `IWorkpageContainer` - on top dispatcher level ("#{d}") this instance is created through the `createWorkpageContainer()` method. On sub dispatcher level ("#{d.d_1}") this instance is passed into the dispatchers automatically, so that sub.dispatchers know their workpage container.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.managedbean.DefaultDispatcher

      `DefaultDispatcher.DispatchedBeanInfo, DefaultDispatcher.DispatcherInfo`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `m_isMaximized`
    `protected Statusbar` | `m_statusbar`
    `protected IWorkpage` | `m_workpage`
    `protected IWorkpageContainer` | `m_workpageContainer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkpageDispatcher()` This constructor is the constructor for the "root dispatcher".
    `WorkpageDispatcher(IWorkpageContainer workpageContainer)` This constructor is the constructor for the workpage level sub dispatchers.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIfToDrillDownToGlobalStatusbar()`
    `ModalPopup` | `createModalPopup()` Create a modal popup instance within the context of this dispatcher.
    `ModelessPopup` | `createModelessPopup()` Create a modeless popup instance within the context of this dispatcher.
    `IDispatcher` | `createSubDispatcherInstance(java.lang.Class subDispatcherClass)` Creates a sub dispatcher instance of the class that is passed as argument.
    `protected IWorkpageContainer` | `createWorkpageContainer()` Creation of Workpage Container instance.
    `void` | `destroy()` Destroys the dispatcher and its contained objects.
    `static WorkpageDispatcher` | `findSessionTopWorkpageDispatcher()` Returns the top dispatcher of a session.
    `static IWorkpageContainer` | `findSessionWorkpageContainer()` Returns workpage container of a session.
    `static IWorkpageDispatcher` | `getDialogSessionInstance()` Returns the root dispatcher instance within the current dialog session.
    `boolean` | `getIsMaximized()`
    `IWorkpageDispatcher` | `getOwner()` Passes back the dispatcher above.
    `protected java.lang.Class` | `getPreferredConstructorArguentClass()` Preferred constructor argument for creation of managed beans.
    `Statusbar` | `getStatusbar()` This is the statusbar that is accosicated with this dispatchter instance.
    `boolean` | `getToMaximizedSizeRendered()`
    `boolean` | `getToNormalSizeRendered()`
    `IWorkpageDispatcher` | `getTopOwner()` Passes back the top owner of the dispatcher hierarchy.
    `IWorkpage` | `getWorkpage()` This is the workpage that is associated with this dispatcher instance.
    `IWorkpageContainer` | `getWorkpageContainer()` The workpage container that is associated with the dispatcher.
    `boolean` | `isOpenedAsPopup()` Tells if the current content of the workpage is isolated into a modeless popup by the workpage container.
    `boolean` | `isPopupHeaderRendered()`
    `void` | `onMaximize(ActionEvent event)`
    `void` | `onMoveWorkpageIntoContentArea(ActionEvent event)`
    `protected void` | `prepareObject(java.lang.Object o)` After the creation of the object (default: `DefaultDispatcher.readObject(String)` this method is called.
    `void` | `setOwner(IDispatcher owner)`
    `void` | `setWorkpage(IWorkpage workpage)` Internally used.

    - ### Methods inherited from class org.eclnt.jsfserver.managedbean.DefaultDispatcher

      `addDispatcherExtension, checkIfDispatchedBeanIsLoaded, checkIfDispatchedBeanIsLoaded, createObjectInstance, createSubDispatcherIndex, createSubDispatcherInstance, get, getChildDispatchers, getContentReplace, getDispatchedBean, getDispatchedBean, getExpressionBase, getMyExpression, getMyExpression, getRootExpression, getStaticDispatcherInfo, initDispatcher, initRegisteredBeanInfos, initRegisteredPackages, outputLogInfoWhenNoClassWasResolved, readObject, registerSubDispatcherInstance, removeDispatchedBean, removeDispatchedBean, removeDispatcherExtension, resolveClass, toString, unregisterSubDispatcherInstance, updateExpression`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.managedbean.IDispatcher

      `checkIfDispatchedBeanIsLoaded, checkIfDispatchedBeanIsLoaded, createSubDispatcherIndex, createSubDispatcherInstance, getChildDispatchers, getContentReplace, getDispatchedBean, getDispatchedBean, getExpressionBase, getMyExpression, getMyExpression, removeDispatchedBean, removeDispatchedBean, unregisterSubDispatcherInstance, updateExpression`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- - ### Field Detail

    - #### m_workpageContainer

          protected IWorkpageContainer m_workpageContainer

    - #### m_workpage

          protected IWorkpage m_workpage

    - #### m_statusbar

          protected Statusbar m_statusbar

    - #### m_isMaximized

          protected boolean m_isMaximized

  - ### Constructor Detail

    - #### WorkpageDispatcher

          public WorkpageDispatcher()

      This constructor is the constructor for the "root dispatcher".

    - #### WorkpageDispatcher

          public WorkpageDispatcher(IWorkpageContainer workpageContainer)

      This constructor is the constructor for the workpage level sub dispatchers.

  - ### Method Detail

    - #### getDialogSessionInstance

          public static IWorkpageDispatcher getDialogSessionInstance()

      Returns the root dispatcher instance within the current dialog session. There is one dispatcher within each dialog session.
      This method must only be called within some http session context!

    - #### findSessionTopWorkpageDispatcher

          public static WorkpageDispatcher findSessionTopWorkpageDispatcher()

      Returns the top dispatcher of a session.

    - #### findSessionWorkpageContainer

          public static IWorkpageContainer findSessionWorkpageContainer()

      Returns workpage container of a session.

    - #### createSubDispatcherInstance

          public IDispatcher createSubDispatcherInstance(java.lang.Class subDispatcherClass)

      Description copied from class: `DefaultDispatcher`
      Creates a sub dispatcher instance of the class that is passed as argument. The class must provide a constructor without parameters.
      If overriding this class: after creating the instance you need to call the method resgisterSubDispatcherInstance() with passing the newly created dispatcher instance as parameter.
      Overrides:
        `createSubDispatcherInstance` in class `DefaultDispatcher`

    - #### getWorkpageContainer

          public IWorkpageContainer getWorkpageContainer()

      The workpage container that is associated with the dispatcher. In a dispatcher hierarchy (top dispatcher, sub dispatchers...) this is always one instance that is used by all the dispatchers.
      Specified by:
        `getWorkpageContainer` in interface `IWorkpageDispatcher`

    - #### getWorkpage

          public IWorkpage getWorkpage()

      This is the workpage that is associated with this dispatcher instance.
      Specified by:
        `getWorkpage` in interface `IWorkpageDispatcher`

    - #### setWorkpage

          public void setWorkpage(IWorkpage workpage)

      Description copied from interface: `IWorkpageDispatcher`
      Internally used.
      Specified by:
        `setWorkpage` in interface `IWorkpageDispatcher`

    - #### getStatusbar

          public Statusbar getStatusbar()

      This is the statusbar that is accosicated with this dispatchter instance.
      Specified by:
        `getStatusbar` in interface `IWorkpageDispatcher`

    - #### setOwner

          public void setOwner(IDispatcher owner)

      Specified by:
        `setOwner` in interface `IDispatcher`
      Overrides:
        `setOwner` in class `DefaultDispatcher`

    - #### isOpenedAsPopup

          public boolean isOpenedAsPopup()

      Description copied from interface: `IWorkpageDispatcher`
      Tells if the current content of the workpage is isolated into a modeless popup by the workpage container.
      Specified by:
        `isOpenedAsPopup` in interface `IWorkpageDispatcher`
      Returns:
        "true", if the associated page is opened in a popup, "false" is it is running inside the workplace content component.

    - #### isPopupHeaderRendered

          public boolean isPopupHeaderRendered()

    - #### checkIfToDrillDownToGlobalStatusbar

          public boolean checkIfToDrillDownToGlobalStatusbar()

      Specified by:
        `checkIfToDrillDownToGlobalStatusbar` in interface `Statusbar.IStatusBarDrillDownInfoProvider`

    - #### getToNormalSizeRendered

          public boolean getToNormalSizeRendered()

    - #### getToMaximizedSizeRendered

          public boolean getToMaximizedSizeRendered()

    - #### getIsMaximized

          public boolean getIsMaximized()

    - #### onMoveWorkpageIntoContentArea

          public void onMoveWorkpageIntoContentArea(ActionEvent event)

    - #### onMaximize

          public void onMaximize(ActionEvent event)

    - #### destroy

          public void destroy()

      Description copied from interface: `IDispatcher`
      Destroys the dispatcher and its contained objects.
      Specified by:
        `destroy` in interface `IDispatcher`
      Overrides:
        `destroy` in class `DefaultDispatcher`

    - #### createModalPopup

          public ModalPopup createModalPopup()

      Description copied from class: `DefaultDispatcher`
      Create a modal popup instance within the context of this dispatcher. The contentdrilldown that you normally have to do when creating a popup is done automatically.
      Specified by:
        `createModalPopup` in interface `IDispatcher`
      Overrides:
        `createModalPopup` in class `DefaultDispatcher`

    - #### createModelessPopup

          public ModelessPopup createModelessPopup()

      Description copied from class: `DefaultDispatcher`
      Create a modeless popup instance within the context of this dispatcher. The contentdrilldown that you normally have to do when creating a popup is done automatically.
      Specified by:
        `createModelessPopup` in interface `IDispatcher`
      Overrides:
        `createModelessPopup` in class `DefaultDispatcher`

    - #### getTopOwner

          public IWorkpageDispatcher getTopOwner()

      Description copied from interface: `IDispatcher`
      Passes back the top owner of the dispatcher hierarchy. If the current dispatcher is the top owner itself, then the current dispatcher is returned.
      Specified by:
        `getTopOwner` in interface `IDispatcher`
      Overrides:
        `getTopOwner` in class `DefaultDispatcher`

    - #### getOwner

          public IWorkpageDispatcher getOwner()

      Description copied from interface: `IDispatcher`
      Passes back the dispatcher above. Null is returned if the current instance is the top dispatcher
      Specified by:
        `getOwner` in interface `IDispatcher`
      Overrides:
        `getOwner` in class `DefaultDispatcher`

    - #### createWorkpageContainer

          protected IWorkpageContainer createWorkpageContainer()

      Creation of Workpage Container instance. You may override in order to setup a different type of workpage container than the default.

    - #### getPreferredConstructorArguentClass

          protected java.lang.Class getPreferredConstructorArguentClass()

      Description copied from class: `DefaultDispatcher`
      Preferred constructor argument for creation of managed beans. To be overridden by subclasses.
      Overrides:
        `getPreferredConstructorArguentClass` in class `DefaultDispatcher`

    - #### prepareObject

          protected void prepareObject(java.lang.Object o)

      Description copied from class: `DefaultDispatcher`
      After the creation of the object (default: `DefaultDispatcher.readObject(String)` this method is called. Here you can add own preparation logic.
      Overrides:
        `prepareObject` in class `DefaultDispatcher`

Copyright © CaptainCasa Gmbh. All Rights Reserved.